QGIS Application - Bug report #1894
Opening project file with 2x click or drag to dock icon does not work (OS X)
2009-08-25 09:32 AM - John Tull

Status: Closed

Priority: Low

Assignee: nobody -

Category: Project Loading/Saving

Affected QGIS version: Regression?: No
Operating System: OS X Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11954
Description

In the current trunk, trying to open a qgis project file by dragging it onto the application icon in the dock (qgis already open) does not open
the project. Likewise, double clicking a project file if qgis is already running does not work. If ggis is not open, double clicking a project file
or dragging to the application icon in the Finder opens qgis and loads the project correctly.

Turning off the older qgis version warning in the general settings does not correct the issue. Neither does saving the file.

History

#1 - 2009-08-25 10:12 AM - William Kyngesburye

Somehow the system lost the file extension association. Works fine for me.

Some things to try:

Restart Mac.

Reinstall Qgis.

Get Info on a project file. Select Qgis.app from the Open With popup. Then click the Change All button.

#2 - 2009-08-25 10:19 AM - John Tull

The association is there when | look at the file info. Also, opening the file when qgis is closed works fine. Only when qgis is already open does it not work.
This is rev 11494 built with cmake.

#3 - 2009-08-25 10:26 AM - William Kyngesburye

Do you have multiple copies of Qgis installed? Maybe Open With is showing another copy.

To check that your current Qgia is not broken, Show Package Contents on your current Qgis app, then dig into Contents and open Info.plist. There should
be a Document Types array, and the Qgis project document should be one. It should have a CFBundleTypeExtensions key with qgs as the value.

#4 - 2009-11-29 08:09 AM - Giovanni Manghi

what is the status of this bug?
#5 - 2009-11-30 06:36 PM - John Tull
- Resolution set to fixed

- Status changed from Open to Closed

Appears to be working.
